[solved] cannot find the library `/usr/lib/libnrniv.la'

Post Reply
macin

[solved] cannot find the library `/usr/lib/libnrniv.la'

Post by macin » Wed Sep 07, 2011 5:52 pm

Dear all,
I get this message, when I attempt to use nrnivmodl

Code: Select all

link: cannot find the library `/usr/lib/libnrniv.la' or unhandled argument `/usr/lib/libnrniv.la'
make: *** [libnrnmech.la] Errore 1
Actually, there isn't the file "libnrniv.la" in the folder /usr/lib
Thank you!

Camillo
Last edited by macin on Fri Sep 09, 2011 2:04 pm, edited 1 time in total.

ted
Site Admin
Posts: 5591
Joined: Wed May 18, 2005 4:50 pm
Location: Yale University School of Medicine
Contact:

Re: nrnivmodl: cannot find the library `/usr/lib/libnrniv.la

Post by ted » Thu Sep 08, 2011 10:37 am

What version of Linux are you using, and what version of NEURON? Did you install NEURON from source code or from an rpm?

At the system prompt, type
neurondemo
What do you see?

--Ted

macin

Re: nrnivmodl: cannot find the library `/usr/lib/libnrniv.la

Post by macin » Thu Sep 08, 2011 12:46 pm

Thank you for reply.
I'm using arch linux. I've installed neuron (version 7.1) with this PKGBUILD (arch has got a ports-like source packaging system):

Code: Select all

# Maintainer: Michael Schubert <mschu.dev at gmail>
# Contributor: David Campbell <davekong@archlinux.us>

pkgname=neuron
pkgver=7.1
pkgrel=2
pkgdesc="Empirically-based simulations of neurons and networks of neurons"
arch=('i686' 'x86_64')
url="http://www.neuron.yale.edu"
license=('GPL')
depends=('interviews')
optdepends=('python2-numpy' 'python2-scipy' 'mpich2' 'openmpi')
source=("http://www.neuron.yale.edu/ftp/neuron/versions/v$pkgver/nrn-$pkgver.tar.gz")
options=('!libtool')
md5sums=('cd5dd415c1f71f11604a58e57f1cd7f9')

build() {
  cd "$srcdir/nrn-$pkgver"
  ./configure --prefix=/usr --bindir=/usr/bin --libdir=/usr/lib \
              --with-nrnpython=/usr/bin/python2 --with-numpy --with-pararn
  make
}

package() {
  cd "$srcdir/nrn-$pkgver"
  make DESTDIR="$pkgdir/" install
}
and

Code: Select all

# Maintainer: Michael Schubert <mschu.dev at gmail>
# Contributor: David Campbell <davekong@archlinux.us>

pkgname=interviews
pkgver=17
pkgrel=1
pkgdesc="GUI for neuron"
arch=('i686' 'x86_64')
url="http://www.neuron.yale.edu"
license=('custom')
depends=('libx11')
source=("http://www.neuron.yale.edu/ftp/neuron/versions/v7.1/iv-$pkgver.tar.gz")
options=('!libtool')
md5sums=('7816b911b3ea3990ff54a786a73861bc')

build() {
  cd "$srcdir/iv-$pkgver"
  ./configure --prefix=/usr --bindir=/usr/bin --libdir=/usr/lib
  make
}

package() {
  cd "$srcdir/iv-$pkgver"
  install -Dm644 Copyright "$pkgdir/usr/share/licenses/$pkgname/COPYING"
  make DESTDIR="$pkgdir/" install
}
When I type neurondemo (as root user), at the end I see:

Code: Select all

libnrniv.la" -livoc -lneuron_gnu -lmeschach -lsundials       -lm -ldl
libtool: link: cannot find the library `/usr/lib/libnrniv.la' or unhandled argument `/usr/lib/libnrniv.la'
make: *** [libnrnmech.la] Errore 1
/usr/bin/neurondemo: line 21: /usr/share/nrn/demo/neuron: File o directory non esistente


macin

Re: nrnivmodl: cannot find the library `/usr/lib/libnrniv.la

Post by macin » Fri Sep 09, 2011 2:02 pm

Yes! Without '!libtool' option in the pkgbuild, nrnivmodl works well!!! :)

Feanor
Posts: 17
Joined: Fri Nov 28, 2014 3:03 pm

Re: [solved] cannot find the library `/usr/lib/libnrniv.la'

Post by Feanor » Thu Dec 04, 2014 8:58 am

Hello,

I have encountered the same problem on Scinetific Linux 6. The version of NEURON is 7.1. I cannot run neurondemo as a root user, the machine is administered by the local IT Systems group. Do you have any suggestions as to what to do?

Best regards.

ted
Site Admin
Posts: 5591
Joined: Wed May 18, 2005 4:50 pm
Location: Yale University School of Medicine
Contact:

Re: [solved] cannot find the library `/usr/lib/libnrniv.la'

Post by ted » Thu Dec 04, 2014 12:54 pm

Feanor wrote:The version of NEURON is 7.1.
That's ancient; there have been many bug fixes and performance improvements since then. Current alpha versions http://www.neuron.yale.edu/ftp/neuron/versions/alpha/ are all 7.3, and the latest development code from the mercurial repository is already at 7.4. Suggest you follow the instructions at http://www.neuron.yale.edu/neuron/download/getdevel for getting and building the latest development code, none of which requires root access. The result will be that you have your own installation of NEURON that is up to date.

Feanor
Posts: 17
Joined: Fri Nov 28, 2014 3:03 pm

Re: [solved] cannot find the library `/usr/lib/libnrniv.la'

Post by Feanor » Thu Dec 04, 2014 1:53 pm

Very well. Thank you very much!

Post Reply